Spark App on Android



  • I updated the Android app recently with version 1.5.6.2113 and now the app keeps stopping saying Spark stopped and an option asks to close the app. Doesn't look like I can role back the update. The app worked just fine before this last update on Android.
    So this brings up an issue I have and that is having a dependence on an app to use this amp with the options I want. Which means every time the devs push an update there is a chance that I wont be able to use this product as intended.
    Still no headphones and the amp hums, now the app update is acting up, good times.

    0_1598209533364_app error.jpg



  • I have the same app version with no issues (1.5.6.2113). Recommend you uninstall and reinstall the app if the problem continues.



  • @cmcwillieb before uninstalling the app, I suggest that you do a full reboot of your Android device. Then see if the app works properly.



  • The message appears to come up consistently and often when the wi-fi or internet access is not turned on while the app is open. The tonecloud needs internet connection and gives a message but I can override that when not using it. I'm using a Samsung tablet Android 7 OS and don't have the wifi on when not in use. So the app just stops because there is no internet connection? Why not have a message saying I can't access the Music tab where Smart Jam and The jam-along videos are located, if that is in fact why does the Spark app just stops working because it detects no internet.
    I did reboot after the update. I don't want to delete the app (This should not be a quick fix of using this App!) and reinstall it because I will loose the 40 Tones I laboriously found through the cluster that is the ToneCloud.



  • Same version app, Android version 8. Have never seen but always connected to my wifi and internet. Turned off the wifi tried to connect to the amp and get that is the error message because it can't connect.

    Glitchy internet connection?



  • @scott_bryant I don't see a way to roll back to the previous version of the App. Short of reinstalling in case of an error during the download, you could submit a ticket to PG. Maybe they can help you roll it back and reinstall the update. I have Android 9 OS. In the help file it says;
    "Supported Android OS version: Android 8.1 - 9 (later)"
    https://help.positivegrid.com/hc/en-us/articles/360035325732-General-FAQ-Spark-Amp
    So it may be an OS version issue.



  • I have the same issue.

    Samsung Galaxy phone running Android 7.0

    Spark app version 1.5.6.2113

    "Spark has stopped" message box - even if the Spark app hasn't been started.

    Pops up randomly many times a day.

    Have tried deleting all cache and stored files - rebooting the phone - reinstalling the app - no luck.

    App and amp are working - but it is annoying to get this pop up during the day.



  • @hhdm I hear you. I am still dealing with this pop-up. If the wi-fi is on the message comes up randomly but not often. I have been in the habit of forcing the app to stop in the app settings which typically works except recently the app decided it would turn itself back on and then the "spark has stopped" message pop's up. So go into the app settings and "Force Stop" see if that helps. To me this app connection is a nice feature but it is also a weak point in the entire concept because apps always have bugs and its a disruption to the creative process.



  • Hello. I think you need Android 8.1 minimun.



  • @dmtryck I just received my Spark amp last night. That is when I discovered my old LG G4 has a very old version of Android and I can't download any of the apps. I was just going to return the Spark. So my wife says go ahead and get a new phone since the one I have a pretty old. On the site is says the Spark is only compatible with Android 8.1 - 9. All the Android phones for T-Mobile have Android version 10 and up. Not sure what to do here. Is PG fast in responding to tech questions/



  • @freulerpatrick PG is slow about answering anything but this one is in the General FAQs;

    "Supported Android OS version: Android 8.1 or later"

    OS 10 will work. Search the forum for information from other Android 10 user information. They are on here. I am using a tablet with Android 9.



  • @scott_bryant Hi - forcing the app to stop in app settings unfortunately has no effect either :-(



  • @hhdm . I also have the same Samsung Note 5 with Android 7.0. The phone's Bluetooth can see and pair with the Spark Amp, but when opens the App, it asks to connect to the Amp and it keeps complaining that it can't connect.



  • @snn305 Is it connecting to the correct Bluetooth channel? I've seen some folks have issues due to the two different channels. It has to connect to Spark Bluetooth Audio. Sometimes it only connects to BLE. Make sure you're seeing both on your device.



  • Curiously, once I side-loaded the Google Play store on my Kindle Fire 8HD, and got the Spark app installed, when I first tried to pair the Spark with the Kindle Fire, the only thing that would show in the bluetooth listing was the Spark (can't remember the letters) connection, the one to control the amp. It wasn't until I ran the app and it finally made the connection to the amp that the Spark Audio connection appeared on the Fire device and I was able to pair that connection.